import request from '@/utils/request'
// 案件列表
export function caseApplicationList(data) {
    return request({
        url: '/caseApplication/list',
        // headers: {
        //   isToken: false
        // },
        method: 'get',
        params: data
    })
}
// 查看详情
export function caseApplicationDetail(data) {
    return request({
        url: '/caseApplication/selectCaseApplication',
        // headers: {
        //   isToken: false
        // },
        method: 'post',
        data: data
    })
}
// 支付
export function casePay(data) {
    return request({
      url: '/pay/casePay',
      // headers: {
      //   isToken: false
      // },
      method: 'post',
      data: data
    })
  }
// 确认缴费
export function confirmPay(data) {
    return request({
      url: '/pay/confirm',
      // headers: {
      //   isToken: false
      // },
      method: 'put',
      data: data
    })
  }
//确认缴费查看案件详情接口（新修改显示案件缴费状态）
export function selectCaseApplicationConfirm(data) {
  return request({
    url: '/caseApplication/selectCaseApplicationConfirm',
    // headers: {
    //   isToken: false
    // },
    method: 'post',
    data: data
  })
} 

// 缴费页面缴费确认
export function confirmPayDig(data) {
  return request({
    url: '/pay/confirmPay',
    // headers: {
    //   isToken: false
    // },
    method: 'post',
    data: data
  })
}
// 查询批量缴费信息
// 缴费页面缴费确认
export function getPayDetail(params) {
  return request({
    url: '/pay/list',
    method: 'get',
    params: params
  })
}
